PUT/impactshop

Update Event Impact Shop

Update event impact shop

Implementation Notes

This API call allows the user to modify the details of an existing Impact Shop linked to a impactShopId.

PUT/impactshop

Parameter Details

NameInTypeRequiredDescription
impactShopIdqueryintegerRequiredUnique identifier for the Impact Shop.
bodybodyobjectRequirednone
» shopNamebodystringOptionalnone
» estimatedAttendeebodystringOptionalnone
» citybodystringOptionalCity where the event takes place.
» countrybodystringOptionalCountry where the event takes place.
» startDatebodystring(date)Optionalnone
» horizonbodyintegerOptionalnone
» eventIdsbody[integer]Optionalnone
» categorybodystringOptionalnone
» subCategorybodystringOptionalnone

Responses

StatusMeaningDescriptionSchema
200OKOK
400Bad RequestBad RequestNone
401UnauthorizedUnauthorizedNone
403ForbiddenForbiddenNone
404Not FoundNot FoundNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server Error.None

Example Request

# You can also use wget
curl -X PUT https://api.events.example.com/api/v1/impactshop?impactShopId=1 \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body parameter

{
  "shopName": "",
  "estimatedAttendee": "",
  "city": "",
  "country": "",
  "startDate": "2019-08-24",
  "horizon": 0,
  "eventIds": [],
  "category": "0",
  "subCategory": "0"
}

Example responses

200 Response
{
  "message": "Shop details updated successfully.",
  "shopId": 418
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.